Project

General

Profile

Feature #16956

capsule-installer to test if katello is of the same version than capsule

Added by Stephen Benjamin over 2 years ago. Updated 12 months ago.

Status:
New
Priority:
Normal
Assignee:
-
Category:
Installer
Target version:
Difficulty:
Triaged:
Yes
Bugzilla link:
Pull request:
Team Backlog:
Fixed in Releases:
Found in Releases:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1341660
Description of problem:
Please add a test to the start of capsule-installer that will verify if Satellite version matches to-be-installed Capsule version.

User story:
- have a Satellite on some version for a long time
- have a sync plan updating capsules repos
- after few months, install a new capsule

The installation can fail due to so many various reasons. A check if Satellite and Capsule versions match will prevent debugging of really unexpected problem.

Version-Release number of selected component (if applicable):
Any Sat/Caps version (incl. 6.2 beta)

How reproducible:
100%

Steps to Reproduce:
- See user story above
- alternativelly, upgrade Sat but dont update Capsule repos such that you try to install old Capsule version under new version of Satellite

Actual results:
capsule-installer attempts to install Capsule (and optionally fails on hard-to-debug/understand issues)

Expected results:
capsule-installer to stop with warning Satellite/Capsule versions mismatch

Additional info:

History

#1 Updated by Justin Sherrill over 2 years ago

  • Subject changed from capsule-installer to test if Satellite is of the same version than capsule to capsule-installer to test if katello is of the same version than capsule
  • Legacy Backlogs Release (now unused) set to 114

Also available in: Atom PDF